package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.DilVersionServiceImpl;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ author    :TXF
 * @ time      :2021/12/14 22:42
 */
@RestController
@RequestMapping("${api.version}/appVersion")
public class DilVersionController {

    @Autowired
    DilVersionServiceImpl dilVersionService;

    @ApiOperation(value = "查询APP版本号")
    @PostMapping("/checkVersion")
    public String getAppVersion() {
        return dilVersionService.getAppVersion();
    }

    @ApiOperation(value = "查询PDA版本号")
    @PostMapping("/getPDAVersion")
    public String getPDAVersion() {
        return dilVersionService.getPDAVersion();
    }

    @ApiOperation(value = "新增APP版本号")
    @PostMapping("/addAppVersion/{version}")
    public String addAppVersion(@PathVariable("version") String version) {
        return dilVersionService.addAppVersion(version);
    }
}
