package com.steerinfo.dil.service.impl;
import com.steerinfo.dil.mapper.UniversalMapper;
import com.steerinfo.dil.service.UniversalService;
import org.apache.commons.codec.digest.DigestUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @ author    :TXF
 * @ time      :2021/10/19 18:05
 */

@Service
public class UniversalServiceImpl implements UniversalService {

    @Resource
    private UniversalMapper universalMapper;
    /**
     * 打印提货单
     * @param orderNumber 运输订单号
     * @return
     */
    @Override
    public Map<String, Object> printTiHuoDan(String orderNumber) {

        //查询订单信息
        Map<String, Object> tiHuoDanMap = universalMapper.getTiHuoDan(orderNumber);
        //查询该订单下的所有装车信息
        List<Map<String, Object>> oomMes = universalMapper.getOOMMes(orderNumber);
        tiHuoDanMap.put("loadMes", oomMes);
        return tiHuoDanMap;
    }


    /**
     * 查询路段顺序及当前路段顺序号
     * @param map
     * @return
     */
    @Override
    public Map<String, Object> getNowLineMes(Map<String, Object> map) {

        return null;
    }


    /**
     * sha1加密字符串
     * @param text
     * @return
     */
    public String sha1DigestUtils(String text){
        return DigestUtils.sha1Hex(text);
    }

    /**
     * 根据收货客户查询承运商
      */
    public Map<String, Object> getCarrierByConsignee(Map<String, Object> mapValue){
        String isSelfMention = (String) mapValue.get("isSelfMention");
        String consigneeName = (String) mapValue.get("consigneeName");
        Map<String, Object> map = new HashMap<>();
        if (isSelfMention.equals("是")) {
            map = universalMapper.getCarrierByConsignee(consigneeName);
        }
        else {
            map.put("carrierId",null);
            map.put("carrierName",null);
        }
        return map;
    }

    /**
     *
     * @param mapValue
     * @return
     */
    public Map<String, Object> isInCapacityCarrier(Map<String, Object> mapValue) {
        BigDecimal capacityCarrierId = universalMapper.isInCapacityCarrier(mapValue);
        BigDecimal capacityId = universalMapper.isInCapacity(mapValue);
        Map<String,Object> map = new HashMap<>();
        map.put("capacityCarrierId",capacityCarrierId);
        map.put("capacityId",capacityId);
        return map;
    }
}
